Ext.define('cn.tonyandmoney.app.Instance.Trilium', {
    extend: 'SYNO.SDS.AppInstance',
    appWindowName: 'cn.tonyandmoney.app.Trilium',
    constructor: function() {
        this.callParent(arguments);
    }
});

Ext.define('cn.tonyandmoney.app.Trilium', {
    extend: 'SYNO.SDS.AppWindow',
    appInstance: null,

    constructor: function(cfg) {
        this.appInstance = cfg.appInstance;

        var config = Ext.apply({
            resizable: true,
            maximizable: true,
            minimizable: true,
            width: 1200,
            height: 800,
            layout: 'fit',
            items: [
                new Ext.BoxComponent({
                    height: "100%",
                    html: '<iframe src="/trilium/" frameborder="0" marginheight="0" marginwidth="0" width="100%" height="100%"></iframe>'
                })
            ]
        }, cfg);

        this.callParent([config]);
    }
});
